Overview | Modules | Class Hierarchy | Classes | Members

# tlp::EntityWithDistance Struct Reference

`#include <GlScene.h>`

List of all members.

## Detailed Description

/brief Storage class for Z ordering

## Public Member Functions

- EntityWithDistance (const double &dist, LODResultSimpleEntity *entity)
- EntityWithDistance (const double &dist, LODResultComplexEntity *entity, bool isNode)

## Public Attributes

- double distance
- LODResultSimpleEntity * simpleEntity
- LODResultComplexEntity * complexEntity
- bool isComplexEntity
- bool isNode

## Constructor & Destructor Documentation

tlp::EntityWithDistance::EntityWithDistance | ( | const double & | dist,
|  | LODResultSimpleEntity * | entity
| ) | `[inline]`

tlp::EntityWithDistance::EntityWithDistance | ( | const double & | dist,
|  | LODResultComplexEntity * | entity,
|  | bool | isNode
| ) | `[inline]`

## Member Data Documentation

LODResultComplexEntity* tlp::EntityWithDistance::complexEntity

double tlp::EntityWithDistance::distance

bool tlp::EntityWithDistance::isComplexEntity

bool tlp::EntityWithDistance::isNode

LODResultSimpleEntity* tlp::EntityWithDistance::simpleEntity

Tulip Software by LaBRI Visualization Team 2001 - 2010